/* QMSEM.H
 * QM specific semaphore related definitions.
 * Copyright (c) 2005 Ladybridge Systems, All Rights Reserved
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * 
 * Ladybridge Systems can be contacted via the www.openqm.com web site.
 * 
 * START-HISTORY:
 * 23 Nov 05  2.2-17 Exported from sysseg.c
 * 16 Sep 04  2.0-1 OpenQM launch. Earlier history details suppressed.
 * END-HISTORY
 *
 * START-DESCRIPTION:
 *
 * END-DESCRIPTION
 *
 * START-CODE
 */


   #include <sys/ipc.h>
   #include <sys/shm.h>
   #include <sys/sem.h>

   private struct sembuf sem_lock = {0,-1,0};
   private struct sembuf sem_unlock = {0,1,0};

   #define WaitSem(n) sem_lock.sem_num = n; semop(semid, &sem_lock, 1)
   #define ReleaseSem(n) sem_unlock.sem_num = n; semop(semid, &sem_unlock, 1)




/* END-CODE */
